# Uses of Enum Class
com.destroystokyo.paper.entity.ai.GoalType

Packages that use GoalType
Package
Description
com.destroystokyo.paper.entity.ai

## Uses of GoalType in com.destroystokyo.paper.entity.ai

Methods in com.destroystokyo.paper.entity.ai that return GoalType
Modifier and Type
Method
Description
`static GoalType`
GoalType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static GoalType[]`
GoalType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.destroystokyo.paper.entity.ai that return types with arguments of type GoalType
Modifier and Type
Method
Description
`@NotNull EnumSet<GoalType>`
Goal.`getTypes()`
Returns a list of all applicable flags for this goal.
This method is only called on construction.
Methods in com.destroystokyo.paper.entity.ai with parameters of type GoalType
Modifier and Type
Method
Description
`<T extends Mob>
@NotNull Collection<Goal<T>>`
MobGoals.`getAllGoals(T mob, @NotNull GoalType type)`
`<T extends Mob>
@NotNull Collection<Goal<T>>`
MobGoals.`getAllGoalsWithout(T mob, @NotNull GoalType type)`
`<T extends Mob>
@NotNull Collection<Goal<T>>`
MobGoals.`getRunningGoals(T mob, @NotNull GoalType type)`
`<T extends Mob>
@NotNull Collection<Goal<T>>`
MobGoals.`getRunningGoalsWithout(T mob, @NotNull GoalType type)`
`<T extends Mob>
void`
MobGoals.`removeAllGoals(T mob, @NotNull GoalType type)`